gr::lte::descrambler_vfvf_impl Class Reference

`#include <descrambler_vfvf_impl.h>`

Inheritance diagram for gr::lte::descrambler_vfvf_impl:
[legend]

## Public Member Functions

| descrambler_vfvf_impl (std::string &name, std::string tag_key, std::string msg_buf_name, int len)
| ~descrambler_vfvf_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_descr_seqs (std::vector< std::vector< float > > seqs)

## Additional Inherited Members

Public Types inherited from gr::lte::descrambler_vfvf
typedef boost::shared_ptr< descrambler_vfvf > | sptr
Static Public Member Functions inherited from gr::lte::descrambler_vfvf
static sptr | make (std::string tag_key, std::string msg_buf_name, int len, std::string name="descrambler_vfvf")
| Return a shared_ptr to a new instance of lte::descrambler_vfvf.

## Constructor & Destructor Documentation

## descrambler_vfvf_impl()

gr::lte::descrambler_vfvf_impl::descrambler_vfvf_impl | ( | std::string & | name,
|  | std::string | tag_key,
|  | std::string | msg_buf_name,
|  | int | len )

## ~descrambler_vfvf_impl()

gr::lte::descrambler_vfvf_impl::~descrambler_vfvf_impl | ( |  | ) |

## Member Function Documentation

## set_descr_seqs()

void gr::lte::descrambler_vfvf_impl::set_descr_seqs | ( | std::vector< std::vector< float > > | seqs | ) |

virtual

Implements gr::lte::descrambler_vfvf.

## work()

int gr::lte::descrambler_vfvf_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- descrambler_vfvf_impl.h